{**
 * 2007-2022 PrestaShop SA and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2022 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}

<div class="card">
    <div class="card-header card-title">
        <h3 class="card-header-title">
            {$type}: {$transactionid}
        </h3>
    </div>
    <div class="card-body {if !$isMobile}d-flex align-items-center{/if} ">
        {if $refund_left>0 && $hasBeenPaid}
            <div class="col-md-3">
                <div class="alert alert-info">
                    {l s='This order can refund left: ' mod='silkpay'}{Tools::displayPrice($refund_left,$id_currency)}
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group mb-3">
                    <input type="text" class="form-control" placeholder="{l s='Refund amount' mod='silkpay'}"
                           aria-label="{l s='Refund amount' mod='silkpay'}" aria-describedby="refund_amount"
                           id="refund_amount" {if $type neq 'card'}value="{$order_amount}" {/if}
                            {if $type neq 'card'}disabled{/if}>
                    <button class="btn btn-outline-secondary" type="button" id="refund_amount"
                            onclick="sendRefund(this)" data-left="{$refund_left}" data-transactionid="{$transactionid}"
                            data-type="{$type}" data-order="{$id_order}" {if $days>=7}disabled{/if}>
                        {l s='Refund' mod='silkpay'}
                    </button>
                </div>
            </div>
        {else}
            <div class="col-md-4">
                <div class="alert alert-warning">
                    {l s='This order already refund or not paid,please check' mod='silkpay'}
                </div>
            </div>
        {/if}
        <div class="col-md-2">
            <div class="input-group mb-3">
                <span class="btn btn-primary btn-sm" onclick="checkOrderStatus(this)"
                      data-transactionid="{$transactionid}" data-type="{$type}" data-order="{$id_order}">
                    {l s='Check order status' mod='silkpay'}
                </span>
            </div>
        </div>
    </div>
</div>
{literal}
    <!-- Google tag (gtag.js) -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-XC59CVTYZS"></script>
    <script>
        window.dataLayer = window.dataLayer || [];

        function gtag() {
            dataLayer.push(arguments);
        }

        gtag('js', new Date());

        gtag('config', 'G-XC59CVTYZS');
    </script>
    <script>
        var _hmt = _hmt || [];
        (function () {
            var hm = document.createElement("script");
            hm.src = "https://hm.baidu.com/hm.js?ddc03f2517e1fa9bde00de2bcad57a3c";
            var s = document.getElementsByTagName("script")[0];
            s.parentNode.insertBefore(hm, s);
        })();
    </script>
    <!-- Hotjar Tracking Code for my site -->
    <script>
        (function (h, o, t, j, a, r) {
            h.hj = h.hj || function () {
                (h.hj.q = h.hj.q || []).push(arguments)
            };
            h._hjSettings = {hjid: 3285967, hjsv: 6};
            a = o.getElementsByTagName('head')[0];
            r = o.createElement('script');
            r.async = 1;
            r.src = t + h._hjSettings.hjid + j + h._hjSettings.hjsv;
            a.appendChild(r);
        })(window, document, 'https://static.hotjar.com/c/hotjar-', '.js?sv=');
    </script>
{/literal}
